"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = reducer;
exports.initialState = void 0;

var _immutable = require("immutable");

var _actions = require("./actions");

var initialState = (0, _immutable.fromJS)({
  items: {},
  settings: {
    isSupported: null,
    permission: null
  }
});
exports.initialState = initialState;

function reducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments.length > 1 ? arguments[1] : undefined;

  switch (action.type) {
    case _actions.ADD_NOTIFICATION:
      {
        var _action$payload$notif = action.payload.notification,
            notificationId = _action$payload$notif.notificationId,
            type = _action$payload$notif.type,
            details = _action$payload$notif.details;
        var notification = {
          notificationId: notificationId,
          type: type,
          details: details
        };
        return state.setIn(['items', notificationId], notification);
      }

    case _actions.DELETE_NOTIFICATION:
      return state.deleteIn(['items', action.payload.notificationId]);

    case _actions.UPDATE_NOTIFICATION_SETTING:
      return state.mergeDeepIn(['settings'], action.payload.setting);

    default:
      return state;
  }
}