"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _assign = _interopRequireDefault(require("@babel/runtime-corejs2/core-js/object/assign"));

var _reselect = require("reselect");

var getNotifications = function getNotifications(state) {
  return state.notifications.get('items');
};

var getNotificationSettings = function getNotificationSettings(state) {
  return state.notifications.get('settings');
};

var getUnsentNotifications = (0, _reselect.createSelector)([getNotifications], function (notifications) {
  return notifications.toArray().map(function (notification) {
    var _notification$details = notification.details,
        username = _notification$details.username,
        message = _notification$details.message,
        avatar = _notification$details.avatar,
        alertType = _notification$details.alertType;
    return (0, _assign.default)({}, notification, {
      username: username,
      message: message,
      avatar: avatar,
      alertType: alertType
    });
  });
});
var getNotificationDetails = (0, _reselect.createSelector)([getNotificationSettings, getUnsentNotifications], function (notificationSettings, unsentNotifications) {
  return {
    isSupported: notificationSettings.get('isSupported'),
    notifications: unsentNotifications,
    permission: notificationSettings.get('permission')
  };
});
var _default = getNotificationDetails;
exports.default = _default;